#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from models.base import *
from config import settings
from utils import *
from database import get_local_db, get_share_db
from sqlalchemy import text
from sqlalchemy.sql import func
from sqlalchemy.orm import Session
from extensions import logger
import traceback
import base64
from datetime import datetime
from common.enc import sys_user_data
from utils.redis_util import *

# 对数据进行加密处理
def sign_data_proc():
    lock_key = "sign_data_proc"
    if redis_lock(lock_key):
        logger.info(datetime.now())

        # 系统用户表
        sign_tbl_user()
        # sign_tbl_role()
        # sign_tbl_menu()
        # sign_tbl_role_menu()
        # sign_tbl_user_role()

        with get_share_db() as db:
            logger.info('sharedb ok!!!!!!!!!1')

            c1 = db.query(ChemicalCompany).count()
            print('c1: ', c1)

        redis_unlock(lock_key)

def sign_tbl_user():
    print('sign_tbl_user =====>>>')
    with get_local_db() as db:
        rows = db.query(SysUser).filter(SysUser.sign == '').all()
        for row in rows:
            sys_user_data.sign_row(db, row)
